Name:           app-core
Summary:        Application basic
Version:        1.9.10
Release:        0
Group:          Application Framework/Libraries
License:        Apache-2.0
Source0:        app-core-%{version}.tar.gz
BuildRequires:  pkgconfig(ecore-wayland)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(tizen-extension-client)
BuildRequires:  pkgconfig(wayland-tbm-client)
Source1001:     app-core.manifest
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(sensor)
BuildRequires:  pkgconfig(vconf)
BuildRequires:  pkgconfig(aul)
BuildRequires:  pkgconfig(bundle)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(elementary)
BuildRequires:  pkgconfig(ecore)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(pkgmgr-info)
BuildRequires:  pkgconfig(ttrace)
BuildRequires:  cmake
BuildRequires:  pkgconfig(capi-system-info)

%description
SLP common application basic


%package efl
Summary:    App basic EFL
Group:      Development/Libraries
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description efl
Application basic EFL


%package efl-devel
Summary:    App basic EFL (devel)
Group:      Development/Libraries
Requires:   %{name}-efl = %{version}-%{release}
Requires:   %{name}-ui-devel = %{version}-%{release}

%description efl-devel
Application basic EFL (devel)

%package multiwindow
Summary:    Application core for multiwindow
Group:      Development/Libraries
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description multiwindow
Application core for multiwindow

%package multiwindow-devel
Summary:    Application core for multiwindow (devel)
Group:      Development/Libraries
Requires:   %{name}-multiwindow = %{version}-%{release}
Requires:   %{name}-common-devel = %{version}-%{release}

%description multiwindow-devel
Application core for multiwindow (devel)

%package common
Summary:    App basics common
Group:      Development/Libraries
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description common
Application basics common


%package common-devel
Summary:    App basics common (devel)
Group:      Development/Libraries
Requires:   %{name}-common = %{version}-%{release}
Requires:   pkgconfig(sensor)
Requires:   pkgconfig(vconf)
Requires:   pkgconfig(elementary)
Requires:   pkgconfig(aul)

%description common-devel
Application basics common (devel)

%package ui
Summary:    App basic UI
Group:      Development/Libraries
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description ui
Application basic UI

%package ui-devel
Summary:    App basic UI (devel)
Group:      Development/Libraries
Requires:   %{name}-ui = %{version}-%{release}
Requires:   %{name}-common-devel = %{version}-%{release}

%description ui-devel
Application basic EFL (devel)


%package template
Summary:    App basics template
Group:      Development/Libraries

%description template
Application basics template

%prep
%setup -q
cp %{SOURCE1001} .

%build
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . \
	-DENABLE_GTK=OFF \
	-DFULLVER=%{version} \
	-DMAJORVER=${MAJORVER}

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
%make_install


%post -n app-core-efl -p /sbin/ldconfig

%postun -n app-core-efl -p /sbin/ldconfig

%post -n app-core-multiwindow -p /sbin/ldconfig

%postun -n app-core-multiwindow -p /sbin/ldconfig

%post -n app-core-common -p /sbin/ldconfig

%postun -n app-core-common -p /sbin/ldconfig

%post -n app-core-ui -p /sbin/ldconfig

%postun -n app-core-ui -p /sbin/ldconfig


%files efl
%manifest %{name}.manifest
%{_libdir}/libappcore-efl.so.*
%license LICENSE

%files efl-devel
%manifest %{name}.manifest
%{_includedir}/appcore/appcore-efl.h
%{_includedir}/appcore/appcore_efl_base.h
%{_libdir}/libappcore-efl.so
%{_libdir}/pkgconfig/appcore-efl.pc

%files multiwindow
%manifest %{name}.manifest
%{_libdir}/libappcore-multiwindow.so.*
%license LICENSE

%files multiwindow-devel
%manifest %{name}.manifest
%{_includedir}/appcore/appcore_multiwindow_base.h
%{_libdir}/libappcore-multiwindow.so
%{_libdir}/pkgconfig/appcore-multiwindow.pc

%files common
%manifest %{name}.manifest
%{_libdir}/libappcore-common.so.*
%license LICENSE

%files common-devel
%manifest %{name}.manifest
%{_libdir}/libappcore-common.so
%{_libdir}/pkgconfig/appcore-common.pc
%{_includedir}/appcore/appcore-common.h
%{_includedir}/appcore/appcore_base.h

%files ui
%manifest %{name}.manifest
%{_libdir}/libappcore-ui.so.*
%license LICENSE

%files ui-devel
%manifest %{name}.manifest
%{_includedir}/appcore/appcore_ui_base.h
%{_libdir}/libappcore-ui.so
%{_libdir}/pkgconfig/appcore-ui.pc
